Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.infinispan.schematic.internal.delta
Enum NullDelta

    java.lang.Object
      java.lang.Enum<NullDelta>
          org.infinispan.schematic.internal.delta.NullDelta

All Implemented Interfaces:
  Serializable, Comparable<NullDelta>, org.infinispan.atomic.Delta

    public enum NullDelta

extends Enum<NullDelta>
implements org.infinispan.atomic.Delta

Represents no changes.

Enum Constant Summary
`INSTANCE`

Method Summary
`org.infinispan.atomic.DeltaAware` | `merge(org.infinispan.atomic.DeltaAware other)`
`static NullDelta` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NullDelta[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSTANCE

    public static final NullDelta INSTANCE

Method Detail

### values

    public static NullDelta[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NullDelta c : NullDelta.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NullDelta valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### merge

    public org.infinispan.atomic.DeltaAware merge(org.infinispan.atomic.DeltaAware other)

  Specified by:
    `merge` in interface `org.infinispan.atomic.Delta`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.